GH-RUN-VIEW(1)

NAME
gh-run-view - View a summary of a workflow run

SYNOPSIS
gh run view [<run-id>] [flags]

DESCRIPTION
View a summary of a workflow run.

This command does not support authenticating via fine grained PATs as it is not currently possible to create a PAT with the checks:read permission.

Due to platform limitations, gh may not always be able to associate log lines with a particular step in a job. In this case, the step name in the log output will be replaced with UNKNOWN STEP.

OPTIONS

-a, --attempt <uint> (default 0)
    The attempt number of the workflow run

--exit-status
    Exit with non-zero status if run failed

-j, --job <string>
    View a specific job ID from a run

-q, --jq <expression>
    Filter JSON output using a jq expression

--json <fields>
    Output JSON with the specified fields

--log
    View full log for either a run or specific job

--log-failed
    View the log for any failed steps in a run or specific job

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

-v, --verbose
    Show job steps

-w, --web
    Open run in the browser

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

JSON FIELDS
attempt, conclusion, createdAt, databaseId, displayTitle, event, headBranch, headSha, jobs, name, number, startedAt, status, updatedAt, url, workflowDatabaseId, workflowName

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # Interactively select a run to view, optionally selecting a single job
    $ gh run view
    # View a specific run
    $ gh run view 12345
    # View a specific run with specific attempt number
    $ gh run view 12345 --attempt 3
    # View a specific job within a run
    $ gh run view --job 456789
    # View the full log for a specific job
    $ gh run view --log --job 456789
    # Exit non-zero if a run failed
    $ gh run view 0451 --exit-status && echo "run pending or passed"

SEE ALSO
gh-run(1)